{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Creates a rollout to update the application's configuration across instances\nwith minimal downtime. Rollouts apply only to scheduler-backed applications\nwith `scheduling_policy: \"default\"`. Versions and rollouts do not apply to\napplications with `scheduling_policy: \"durable_object\"`.\n","properties":{"path":{"type":"object","properties":{"account_id":{"type":"string","examples":["account-123"],"description":"Account identifier."},"application_id":{"$ref":"#/definitions/cc_ApplicationID"}},"required":["account_id","application_id"],"additionalProperties":false},"body":{"$ref":"#/definitions/cc_ContainersCreateApplicationRolloutRequest"}},"required":["path","body"],"additionalProperties":false,"definitions":{"cc_ApplicationID":{"description":"An Application ID represents an identifier of an application.","type":"string"},"cc_ContainersCreateApplicationRolloutRequest":{"description":"Request body to create a new rollout for a scheduler-backed application.","type":"object","properties":{"description":{"description":"Description of the rollout process.","type":"string"},"kind":{"description":"Kind of the rollout process. Defaults to \"full_auto\".\n - \"full_auto\": For rolling rollouts, starts progressing steps upon rollout creation. For new_instances rollouts, advances percentage targets automatically after target-version health is observed.\n - \"full_manual\": Requires manually progressing each step in the rollout using the UpdateRollout's action parameter.\n","type":"string","default":"full_auto","enum":["full_auto","full_manual"]},"percentage":{"description":"Initial target version percentage (0-100). Version sync actively replaces instances to match.\nRequired when strategy is \"new_instances\" and kind is \"full_manual\". When strategy is \"new_instances\" and kind is \"full_auto\", omitted percentage starts at 10% or the smallest percentage that targets at least one instance. Unused for \"rolling\".\n","type":"integer","maximum":100,"minimum":0},"step_percentage":{"description":"Percentage of rollout to increase in each step when \"steps\" is absent. Applicable values: 5, 10, 20, 25, 50, 100.\nThese create rollouts with 20, 10, 5, 4, 2, 1 steps respectively.\nOnly valid for \"rolling\" strategy.\n","type":"integer","enum":[5,10,20,25,50,100]},"steps":{"description":"Steps defining the rollout process, used when \"step_percentage\" is absent.\nSpecify only one of \"step_percentage\" or \"steps\" when creating a rollout.\n\"steps\" allow granular control over each step.\nOnly valid for \"rolling\" strategy.\n","type":"array","items":{"$ref":"#/definitions/cc_RolloutStepRequest"}},"strategy":{"description":"Strategy used for the rollout.\n- \"rolling\": Step-based rollout with health gates. Actively replaces instances to reach each step's target percentage.\n- \"new_instances\": Percentage control over version distribution. Version sync actively replaces instances to match the configured percentage. The \"full_auto\" kind advances through fixed percentage targets after target-version health is observed.\n","type":"string","enum":["rolling","new_instances"]},"target_configuration":{"$ref":"#/definitions/cc_ModifyUserDeploymentConfiguration"}},"required":["target_configuration","strategy","description"]},"cc_RolloutStepRequest":{"description":"Steps defining the rollout process.","type":"object","properties":{"description":{"description":"Description of the rollout step.","type":"string"},"step_size":{"type":"object","properties":{"percentage":{"description":"Percentage of instances affected in this step. Min 10% and Max 100%.","type":"integer"}},"required":["percentage"]}},"required":["step_size","description"]},"cc_ModifyUserDeploymentConfiguration":{"description":"User-specified container configuration changes.","type":"object","properties":{"authorized_keys":{"type":"array","items":{"$ref":"#/definitions/cc_UserSSHPublicKey"}},"command":{"$ref":"#/definitions/cc_Command"},"entrypoint":{"$ref":"#/definitions/cc_Entrypoint"},"environment_variables":{"description":"Container environment variables.","type":"array","items":{"$ref":"#/definitions/cc_EnvironmentVariable"}},"image":{"$ref":"#/definitions/cc_Image"},"instance_type":{"$ref":"#/definitions/cc_InstanceType"},"observability":{"$ref":"#/definitions/cc_DeploymentObservability"}}},"cc_UserSSHPublicKey":{"description":"User-provided SSH public key.","type":"object","properties":{"name":{"description":"Optional human readable name for this key.","type":"string"},"public_key":{"$ref":"#/definitions/cc_SSHPublicKey"}},"required":["public_key"]},"cc_Command":{"description":"The command that runs when the container starts, passed to the entrypoint.\nYou can override this at run-time. If you override only the command,\nit gets passed to the default entrypoint specified in the image.\n","type":"array","items":{"$ref":"#/definitions/cc_ExecFormParam"},"examples":[["myapp","--default-option"]]},"cc_Entrypoint":{"description":"The entry point for the container, specifying the executable to run when the container starts.\nYou can override this at run-time. If you do, the default command from the image is ignored.\nSpecify both entrypoint and command at run-time to completely replace the image defaults.\n","type":"array","items":{"$ref":"#/definitions/cc_ExecFormParam"},"examples":[["/bin/bash"]]},"cc_EnvironmentVariable":{"description":"An environment variable with a value set.","type":"object","properties":{"name":{"$ref":"#/definitions/cc_EnvironmentVariableName"},"value":{"$ref":"#/definitions/cc_EnvironmentVariableValue"}},"required":["name","value"]},"cc_Image":{"description":"Image url.","type":"string"},"cc_InstanceType":{"description":"The instance type configures vCPU, memory, and disk.\n\n- \"lite\": 1/16 vCPU, 256 MiB memory, 2 GB disk\n- \"basic\": 1/4 vCPU, 1 GiB memory, 4 GB disk\n- \"standard-1\": 1/2 vCPU, 4 GiB memory, 8 GB disk\n- \"standard-2\": 1 vCPU, 6 GiB memory, 12 GB disk\n- \"standard-3\": 2 vCPU, 8 GiB memory, 16 GB disk\n- \"standard-4\": 4 vCPU, 12 GiB memory, 20 GB disk\n","type":"string","default":"lite","anyOf":[{"enum":["lite","basic","standard-1","standard-2","standard-3","standard-4"],"type":"string"}],"examples":["lite"]},"cc_DeploymentObservability":{"description":"Settings for deployment observability such as logging.","type":"object","properties":{"logs":{"$ref":"#/definitions/cc_ObservabilityLogs"}}},"cc_SSHPublicKey":{"description":"An SSH public key.","type":"string"},"cc_ExecFormParam":{"type":"string"},"cc_EnvironmentVariableName":{"description":"An environment variable name.","type":"string"},"cc_EnvironmentVariableValue":{"description":"An environment variable value.","type":"string"},"cc_ObservabilityLogs":{"description":"Observability logging settings.","type":"object","properties":{"enabled":{"type":"boolean","default":false}}}}},"name":"Create a new rollout for an application","id":"cloudflare.createapplicationrollout","example":{"path":{"account_id":"account-123","application_id":"example"},"body":{"target_configuration":{},"strategy":"rolling","description":"example"}},"maxRequests":1,"summary":false}}